Subject: Re: bug#48100: 28.0.50; inserting too many lines into a fresh cpp file breaks the buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 May 2021 09:58:26 +0200

Paul Nelson <[email-masked]> writes:

> Start from emacs -Q.  Insert sufficiently many lines of C++ code in a
> temporary buffer.  A slightly contrived example:

[...]

> Copy these lines to the kill ring.  Create a new file "test.cpp", and
> paste what was copied.
>
> The first error is that syntax highlighting stops after a certain
> number of lines (in the above example, just before the final line).

I tried this in Emacs 28, and I could not reproduce the reported
behaviour -- this works fine for me.

> Incidentally, "C-u C-M-x" applied to c-guess-basic-syntax gives a long and
> complicated backtrace that starts with:
>
> Debugger entered--Lisp error: (invalid-read-syntax "Expected" "lambda")
>   edebug-syntax-error("Expected" "lambda")

I can reproduce this, though, so I've added Alan to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no